%define ver 1.0.26
%define alibversion %ver
%define beta 0
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif

Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: %ver
%if %beta
Release: 0.%{beta}.1
%else
Release: 1
%endif
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
License: GPL
Group: Sound
Url:   http://www.alsa-project.org

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %alibversion
BuildRequires: ncurses-devel ncursesw-devel
BuildRequires: xmlto
BuildRequires: systemd-units
Requires: alsa-lib >= 1:%alibversion
# dependancies for alsaconf:
Requires: pciutils

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n speaker-test
Summary: ALSA test tool
Group: Sound
Requires: alsa-utils
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n alsaconf
Summary: ALSA configuration tool
Group: Sound
Requires: alsa-utils whiptail cdialog
Conflicts: alsa-utils < 1.0.9-4mdk

%description -n alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as mandriva linux will autoconfigure sound cards.

%prep
%setup -q -n %fname

%build
%configure2_5x \
    --disable-rpath \
    --with-systemdsystemunitdir=%{_unitdir}

%make all

%install
rm -rf %{buildroot}
%makeinstall_std mkdir_p="mkdir -p"

# Create /var/lib/alsa tree
mkdir -p -m 755 %{buildroot}/var/lib/alsa

# move alsactl in /sbin in order to reload mixer settings on bootstrapping:
mkdir %{buildroot}/sbin
mv %{buildroot}/{%_sbindir,sbin}/alsactl

ln -s ../../sbin/alsactl %{buildroot}/%_sbindir

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

%files
%doc [A-Z][A-Z]*
%_bindir/[a-i]*
%_sbindir/alsactl
/sbin/alsactl
%_mandir/man1/[a-i]*
%_mandir/man7/alsactl_init.7*
%_datadir/alsa/
/lib/systemd/system/*.service
/lib/systemd/system/*/*.service
/lib/udev/rules.d/*.rules
/var/lib/alsa

%files -n speaker-test
%_bindir/speaker-test
%_mandir/man1/speaker-test.*
%_datadir/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%_sbindir/alsaconf
%_mandir/man8/alsaconf.*
%lang(fr) %_mandir/fr/man8/alsaconf.*


%changelog
* Fri Sep 07 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0.26-1
+ Revision: 816514
- Update to 1.0.26

* Mon Jan 30 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0.25-1
+ Revision: 769826
- Update to 1.0.25

* Sat Dec 10 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.24.2-3
+ Revision: 740082
- fix build
- fix deps
- various fixes

* Wed Aug 03 2011 Alex Burmashev <burmashev@mandriva.org> 1.0.24.2-2
+ Revision: 693038
- created the /var/lib/alsa folder as it it required

* Sat Apr 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.24.2-1
+ Revision: 649805
- update to new version 1.0.24.2
- drop all patches as they were apllied by upstream

  + Colin Guthrie <cguthrie@mandriva.org>
    - Include systemd units (upstream)

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.23-3mdv2011.0
+ Revision: 603176
- rebuild

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.23-2mdv2010.1
+ Revision: 540345
- rebuild so that shared libraries are properly stripped again

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.23-1mdv2010.1
+ Revision: 535804
- New version: 1.0.23

* Sun Dec 20 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.22-1mdv2010.1
+ Revision: 480506
- New version: 1.0.22

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0.21-1mdv2010.0
+ Revision: 423173
- BR ncursesw-devel
- new release

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.20-1mdv2010.0
+ Revision: 374832
- new release
- workaround broken spec_helper
- new release

* Fri Feb 20 2009 Thierry Vignaud <tv@mandriva.org> 1.0.19-1mdv2009.1
+ Revision: 343371
- new release

* Wed Oct 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-1mdv2009.1
+ Revision: 298679
- Final version: 1.0.18
- Drop upstream applied patch

* Sun Sep 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.18-0.rc3.2mdv2009.0
+ Revision: 284629
- fix for a segmentation fault on 'alsactl store'

* Thu Sep 11 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc3.1mdv2009.0
+ Revision: 283649
- Add BuildRequire for xmlto
- New release candidate: 1.0.18rc3

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-1mdv2009.0
+ Revision: 236496
- New version: 1.0.17

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc2.1mdv2009.0
+ Revision: 219554
- new release

* Mon Jun 09 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc1.1mdv2009.0
+ Revision: 217219
- new release

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-1mdv2008.1
+ Revision: 163081
- new release

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-0.rc1.1mdv2008.1
+ Revision: 155930
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-1mdv2008.1
+ Revision: 98943
- new release

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-0.rc1.1mdv2008.0
+ Revision: 80100
- fix requires
- new release

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 1.0.14-3mdv2008.0
+ Revision: 62797
- require the virtual "whiptail" instead of newt for clarity

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-1.rc4.1mdv2008.0
+ Revision: 21555
- move alsactl from /usr/sbin into /sbin/ (#30368)
- new release

